Function
getTagValue
Return tag value from a BamHeaderRecord or BamTagsDict.
getTagValue(tagValue, idx, record)
getTagValue(tagValue, key, record)
Include Headers
seqan/bam_io.h
Parameters

tagValue | The tag's value is stored here. Types: CharString
idx | The index of the tag whose value is to be retrieved. Types: unsigned
key | The name of tag whose value is to be retrieved. Types: CharString
record | The record to query. Types: BamHeaderRecord

Return Values
bool, indicating whether the value could be retrieved, always true if idx is given.
Examples
CharString tagValue;
bool keyFound = getTagValue(tagValue, "SN", record);
See Also
findTagKey
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57